<script setup lang="ts">
import type { PropType } from "vue";
import type { BreadcrumbRoute } from "@/scripts/client-types";

defineProps({
  ancestors: Object as PropType<BreadcrumbRoute[]>,
  home: String,
});
</script>

<template>
  <nav class="w-full p-4 dark:bg-gray-800 dark:text-gray-100">
    <ol class="flex flex-wrap space-x-2">
      <!-- Home btn -->
      <li class="flex items-center" v-if="home">
        <router-link class="hover:underline" :to="home">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 20 20"
            fill="currentColor"
            class="w-5 h-5 pr-1 dark:text-gray-400"
          >
            <path
              d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z"
            ></path>
          </svg>
        </router-link>
      </li>
      <!-- Ancestors -->
      <li
        v-for="(ancestor, i) of ancestors"
        v-bind:key="ancestor.text"
        class="flex items-center space-x-2"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 32 32"
          aria-hidden="true"
          fill="currentColor"
          class="w-2 h-2 mt-1 transform rotate-90 fill-current dark:text-gray-600"
          v-if="home || i > 0"
        >
          <path d="M32 30.031h-32l16-28.061z"></path>
        </svg>
        <router-link
          :to="ancestor.path"
          class="flex items-center px-1 capitalize hover:underline"
          >{{ ancestor.text }}</router-link
        >
      </li>
    </ol>
  </nav>
</template>
